IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/56
Addresses2^72
/64 networks256
- Network
2001:db8:0:ca00::/56- First address
2001:db8:0:ca00::- Last address
2001:db8:0:caff:ffff:ffff:ffff:ffff- Addresses
- 4,722,366,482,869,645,213,696 (2^72)
- /64 networks (LANs)
- 256
- Full form
2001:0db8:0000:ca00:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
a.c.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:ca00::/56 makes 256 subnets of /64.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:ca00::/64 | 2001:db8:0:ca00:ffff:ffff:ffff:ffff |
| 2 | 2001:db8:0:ca01::/64 | 2001:db8:0:ca01:ffff:ffff:ffff:ffff |
| 3 | 2001:db8:0:ca02::/64 | 2001:db8:0:ca02:ffff:ffff:ffff:ffff |
| 4 | 2001:db8:0:ca03::/64 | 2001:db8:0:ca03:ffff:ffff:ffff:ffff |
| 5 | 2001:db8:0:ca04::/64 | 2001:db8:0:ca04:ffff:ffff:ffff:ffff |
| 6 | 2001:db8:0:ca05::/64 | 2001:db8:0:ca05:ffff:ffff:ffff:ffff |
| 7 | 2001:db8:0:ca06::/64 | 2001:db8:0:ca06:ffff:ffff:ffff:ffff |
| 8 | 2001:db8:0:ca07::/64 | 2001:db8:0:ca07:ffff:ffff:ffff:ffff |
| 9 | 2001:db8:0:ca08::/64 | 2001:db8:0:ca08:ffff:ffff:ffff:ffff |
| 10 | 2001:db8:0:ca09::/64 | 2001:db8:0:ca09:ffff:ffff:ffff:ffff |
| 11 | 2001:db8:0:ca0a::/64 | 2001:db8:0:ca0a:ffff:ffff:ffff:ffff |
| 12 | 2001:db8:0:ca0b::/64 | 2001:db8:0:ca0b:ffff:ffff:ffff:ffff |
| 13 | 2001:db8:0:ca0c::/64 | 2001:db8:0:ca0c:ffff:ffff:ffff:ffff |
| 14 | 2001:db8:0:ca0d::/64 | 2001:db8:0:ca0d:ffff:ffff:ffff:ffff |
| 15 | 2001:db8:0:ca0e::/64 | 2001:db8:0:ca0e:ffff:ffff:ffff:ffff |
| 16 | 2001:db8:0:ca0f::/64 | 2001:db8:0:ca0f:ffff:ffff:ffff:ffff |
| 17 | 2001:db8:0:ca10::/64 | 2001:db8:0:ca10:ffff:ffff:ffff:ffff |
| 18 | 2001:db8:0:ca11::/64 | 2001:db8:0:ca11:ffff:ffff:ffff:ffff |
| 19 | 2001:db8:0:ca12::/64 | 2001:db8:0:ca12:ffff:ffff:ffff:ffff |
| 20 | 2001:db8:0:ca13::/64 | 2001:db8:0:ca13:ffff:ffff:ffff:ffff |
| 21 | 2001:db8:0:ca14::/64 | 2001:db8:0:ca14:ffff:ffff:ffff:ffff |
| 22 | 2001:db8:0:ca15::/64 | 2001:db8:0:ca15:ffff:ffff:ffff:ffff |
| 23 | 2001:db8:0:ca16::/64 | 2001:db8:0:ca16:ffff:ffff:ffff:ffff |
| 24 | 2001:db8:0:ca17::/64 | 2001:db8:0:ca17:ffff:ffff:ffff:ffff |
| 25 | 2001:db8:0:ca18::/64 | 2001:db8:0:ca18:ffff:ffff:ffff:ffff |
| 26 | 2001:db8:0:ca19::/64 | 2001:db8:0:ca19:ffff:ffff:ffff:ffff |
| 27 | 2001:db8:0:ca1a::/64 | 2001:db8:0:ca1a:ffff:ffff:ffff:ffff |
| 28 | 2001:db8:0:ca1b::/64 | 2001:db8:0:ca1b:ffff:ffff:ffff:ffff |
| 29 | 2001:db8:0:ca1c::/64 | 2001:db8:0:ca1c:ffff:ffff:ffff:ffff |
| 30 | 2001:db8:0:ca1d::/64 | 2001:db8:0:ca1d:ffff:ffff:ffff:ffff |
| 31 | 2001:db8:0:ca1e::/64 | 2001:db8:0:ca1e:ffff:ffff:ffff:ffff |
| 32 | 2001:db8:0:ca1f::/64 | 2001:db8:0:ca1f:ffff:ffff:ffff:ffff |
| 33 | 2001:db8:0:ca20::/64 | 2001:db8:0:ca20:ffff:ffff:ffff:ffff |
| 34 | 2001:db8:0:ca21::/64 | 2001:db8:0:ca21:ffff:ffff:ffff:ffff |
| 35 | 2001:db8:0:ca22::/64 | 2001:db8:0:ca22:ffff:ffff:ffff:ffff |
| 36 | 2001:db8:0:ca23::/64 | 2001:db8:0:ca23:ffff:ffff:ffff:ffff |
| 37 | 2001:db8:0:ca24::/64 | 2001:db8:0:ca24:ffff:ffff:ffff:ffff |
| 38 | 2001:db8:0:ca25::/64 | 2001:db8:0:ca25:ffff:ffff:ffff:ffff |
| 39 | 2001:db8:0:ca26::/64 | 2001:db8:0:ca26:ffff:ffff:ffff:ffff |
| 40 | 2001:db8:0:ca27::/64 | 2001:db8:0:ca27:ffff:ffff:ffff:ffff |
| 41 | 2001:db8:0:ca28::/64 | 2001:db8:0:ca28:ffff:ffff:ffff:ffff |
| 42 | 2001:db8:0:ca29::/64 | 2001:db8:0:ca29:ffff:ffff:ffff:ffff |
| 43 | 2001:db8:0:ca2a::/64 | 2001:db8:0:ca2a:ffff:ffff:ffff:ffff |
| 44 | 2001:db8:0:ca2b::/64 | 2001:db8:0:ca2b:ffff:ffff:ffff:ffff |
| 45 | 2001:db8:0:ca2c::/64 | 2001:db8:0:ca2c:ffff:ffff:ffff:ffff |
| 46 | 2001:db8:0:ca2d::/64 | 2001:db8:0:ca2d:ffff:ffff:ffff:ffff |
| 47 | 2001:db8:0:ca2e::/64 | 2001:db8:0:ca2e:ffff:ffff:ffff:ffff |
| 48 | 2001:db8:0:ca2f::/64 | 2001:db8:0:ca2f:ffff:ffff:ffff:ffff |
| 49 | 2001:db8:0:ca30::/64 | 2001:db8:0:ca30:ffff:ffff:ffff:ffff |
| 50 | 2001:db8:0:ca31::/64 | 2001:db8:0:ca31:ffff:ffff:ffff:ffff |
| 51 | 2001:db8:0:ca32::/64 | 2001:db8:0:ca32:ffff:ffff:ffff:ffff |
| 52 | 2001:db8:0:ca33::/64 | 2001:db8:0:ca33:ffff:ffff:ffff:ffff |
| 53 | 2001:db8:0:ca34::/64 | 2001:db8:0:ca34:ffff:ffff:ffff:ffff |
| 54 | 2001:db8:0:ca35::/64 | 2001:db8:0:ca35:ffff:ffff:ffff:ffff |
| 55 | 2001:db8:0:ca36::/64 | 2001:db8:0:ca36:ffff:ffff:ffff:ffff |
| 56 | 2001:db8:0:ca37::/64 | 2001:db8:0:ca37:ffff:ffff:ffff:ffff |
| 57 | 2001:db8:0:ca38::/64 | 2001:db8:0:ca38:ffff:ffff:ffff:ffff |
| 58 | 2001:db8:0:ca39::/64 | 2001:db8:0:ca39:ffff:ffff:ffff:ffff |
| 59 | 2001:db8:0:ca3a::/64 | 2001:db8:0:ca3a:ffff:ffff:ffff:ffff |
| 60 | 2001:db8:0:ca3b::/64 | 2001:db8:0:ca3b:ffff:ffff:ffff:ffff |
| 61 | 2001:db8:0:ca3c::/64 | 2001:db8:0:ca3c:ffff:ffff:ffff:ffff |
| 62 | 2001:db8:0:ca3d::/64 | 2001:db8:0:ca3d:ffff:ffff:ffff:ffff |
| 63 | 2001:db8:0:ca3e::/64 | 2001:db8:0:ca3e:ffff:ffff:ffff:ffff |
| 64 | 2001:db8:0:ca3f::/64 | 2001:db8:0:ca3f:ffff:ffff:ffff:ffff |
| 65 | 2001:db8:0:ca40::/64 | 2001:db8:0:ca40:ffff:ffff:ffff:ffff |
| 66 | 2001:db8:0:ca41::/64 | 2001:db8:0:ca41:ffff:ffff:ffff:ffff |
| 67 | 2001:db8:0:ca42::/64 | 2001:db8:0:ca42:ffff:ffff:ffff:ffff |
| 68 | 2001:db8:0:ca43::/64 | 2001:db8:0:ca43:ffff:ffff:ffff:ffff |
| 69 | 2001:db8:0:ca44::/64 | 2001:db8:0:ca44:ffff:ffff:ffff:ffff |
| 70 | 2001:db8:0:ca45::/64 | 2001:db8:0:ca45:ffff:ffff:ffff:ffff |
| 71 | 2001:db8:0:ca46::/64 | 2001:db8:0:ca46:ffff:ffff:ffff:ffff |
| 72 | 2001:db8:0:ca47::/64 | 2001:db8:0:ca47:ffff:ffff:ffff:ffff |
| 73 | 2001:db8:0:ca48::/64 | 2001:db8:0:ca48:ffff:ffff:ffff:ffff |
| 74 | 2001:db8:0:ca49::/64 | 2001:db8:0:ca49:ffff:ffff:ffff:ffff |
| 75 | 2001:db8:0:ca4a::/64 | 2001:db8:0:ca4a:ffff:ffff:ffff:ffff |
| 76 | 2001:db8:0:ca4b::/64 | 2001:db8:0:ca4b:ffff:ffff:ffff:ffff |
| 77 | 2001:db8:0:ca4c::/64 | 2001:db8:0:ca4c:ffff:ffff:ffff:ffff |
| 78 | 2001:db8:0:ca4d::/64 | 2001:db8:0:ca4d:ffff:ffff:ffff:ffff |
| 79 | 2001:db8:0:ca4e::/64 | 2001:db8:0:ca4e:ffff:ffff:ffff:ffff |
| 80 | 2001:db8:0:ca4f::/64 | 2001:db8:0:ca4f:ffff:ffff:ffff:ffff |
| 81 | 2001:db8:0:ca50::/64 | 2001:db8:0:ca50:ffff:ffff:ffff:ffff |
| 82 | 2001:db8:0:ca51::/64 | 2001:db8:0:ca51:ffff:ffff:ffff:ffff |
| 83 | 2001:db8:0:ca52::/64 | 2001:db8:0:ca52:ffff:ffff:ffff:ffff |
| 84 | 2001:db8:0:ca53::/64 | 2001:db8:0:ca53:ffff:ffff:ffff:ffff |
| 85 | 2001:db8:0:ca54::/64 | 2001:db8:0:ca54:ffff:ffff:ffff:ffff |
| 86 | 2001:db8:0:ca55::/64 | 2001:db8:0:ca55:ffff:ffff:ffff:ffff |
| 87 | 2001:db8:0:ca56::/64 | 2001:db8:0:ca56:ffff:ffff:ffff:ffff |
| 88 | 2001:db8:0:ca57::/64 | 2001:db8:0:ca57:ffff:ffff:ffff:ffff |
| 89 | 2001:db8:0:ca58::/64 | 2001:db8:0:ca58:ffff:ffff:ffff:ffff |
| 90 | 2001:db8:0:ca59::/64 | 2001:db8:0:ca59:ffff:ffff:ffff:ffff |
| 91 | 2001:db8:0:ca5a::/64 | 2001:db8:0:ca5a:ffff:ffff:ffff:ffff |
| 92 | 2001:db8:0:ca5b::/64 | 2001:db8:0:ca5b:ffff:ffff:ffff:ffff |
| 93 | 2001:db8:0:ca5c::/64 | 2001:db8:0:ca5c:ffff:ffff:ffff:ffff |
| 94 | 2001:db8:0:ca5d::/64 | 2001:db8:0:ca5d:ffff:ffff:ffff:ffff |
| 95 | 2001:db8:0:ca5e::/64 | 2001:db8:0:ca5e:ffff:ffff:ffff:ffff |
| 96 | 2001:db8:0:ca5f::/64 | 2001:db8:0:ca5f:ffff:ffff:ffff:ffff |
| 97 | 2001:db8:0:ca60::/64 | 2001:db8:0:ca60:ffff:ffff:ffff:ffff |
| 98 | 2001:db8:0:ca61::/64 | 2001:db8:0:ca61:ffff:ffff:ffff:ffff |
| 99 | 2001:db8:0:ca62::/64 | 2001:db8:0:ca62:ffff:ffff:ffff:ffff |
| 100 | 2001:db8:0:ca63::/64 | 2001:db8:0:ca63:ffff:ffff:ffff:ffff |
| 101 | 2001:db8:0:ca64::/64 | 2001:db8:0:ca64:ffff:ffff:ffff:ffff |
| 102 | 2001:db8:0:ca65::/64 | 2001:db8:0:ca65:ffff:ffff:ffff:ffff |
| 103 | 2001:db8:0:ca66::/64 | 2001:db8:0:ca66:ffff:ffff:ffff:ffff |
| 104 | 2001:db8:0:ca67::/64 | 2001:db8:0:ca67:ffff:ffff:ffff:ffff |
| 105 | 2001:db8:0:ca68::/64 | 2001:db8:0:ca68:ffff:ffff:ffff:ffff |
| 106 | 2001:db8:0:ca69::/64 | 2001:db8:0:ca69:ffff:ffff:ffff:ffff |
| 107 | 2001:db8:0:ca6a::/64 | 2001:db8:0:ca6a:ffff:ffff:ffff:ffff |
| 108 | 2001:db8:0:ca6b::/64 | 2001:db8:0:ca6b:ffff:ffff:ffff:ffff |
| 109 | 2001:db8:0:ca6c::/64 | 2001:db8:0:ca6c:ffff:ffff:ffff:ffff |
| 110 | 2001:db8:0:ca6d::/64 | 2001:db8:0:ca6d:ffff:ffff:ffff:ffff |
| 111 | 2001:db8:0:ca6e::/64 | 2001:db8:0:ca6e:ffff:ffff:ffff:ffff |
| 112 | 2001:db8:0:ca6f::/64 | 2001:db8:0:ca6f:ffff:ffff:ffff:ffff |
| 113 | 2001:db8:0:ca70::/64 | 2001:db8:0:ca70:ffff:ffff:ffff:ffff |
| 114 | 2001:db8:0:ca71::/64 | 2001:db8:0:ca71:ffff:ffff:ffff:ffff |
| 115 | 2001:db8:0:ca72::/64 | 2001:db8:0:ca72:ffff:ffff:ffff:ffff |
| 116 | 2001:db8:0:ca73::/64 | 2001:db8:0:ca73:ffff:ffff:ffff:ffff |
| 117 | 2001:db8:0:ca74::/64 | 2001:db8:0:ca74:ffff:ffff:ffff:ffff |
| 118 | 2001:db8:0:ca75::/64 | 2001:db8:0:ca75:ffff:ffff:ffff:ffff |
| 119 | 2001:db8:0:ca76::/64 | 2001:db8:0:ca76:ffff:ffff:ffff:ffff |
| 120 | 2001:db8:0:ca77::/64 | 2001:db8:0:ca77:ffff:ffff:ffff:ffff |
| 121 | 2001:db8:0:ca78::/64 | 2001:db8:0:ca78:ffff:ffff:ffff:ffff |
| 122 | 2001:db8:0:ca79::/64 | 2001:db8:0:ca79:ffff:ffff:ffff:ffff |
| 123 | 2001:db8:0:ca7a::/64 | 2001:db8:0:ca7a:ffff:ffff:ffff:ffff |
| 124 | 2001:db8:0:ca7b::/64 | 2001:db8:0:ca7b:ffff:ffff:ffff:ffff |
| 125 | 2001:db8:0:ca7c::/64 | 2001:db8:0:ca7c:ffff:ffff:ffff:ffff |
| 126 | 2001:db8:0:ca7d::/64 | 2001:db8:0:ca7d:ffff:ffff:ffff:ffff |
| 127 | 2001:db8:0:ca7e::/64 | 2001:db8:0:ca7e:ffff:ffff:ffff:ffff |
| 128 | 2001:db8:0:ca7f::/64 | 2001:db8:0:ca7f:ffff:ffff:ffff:ffff |
| 129 | 2001:db8:0:ca80::/64 | 2001:db8:0:ca80:ffff:ffff:ffff:ffff |
| 130 | 2001:db8:0:ca81::/64 | 2001:db8:0:ca81:ffff:ffff:ffff:ffff |
| 131 | 2001:db8:0:ca82::/64 | 2001:db8:0:ca82:ffff:ffff:ffff:ffff |
| 132 | 2001:db8:0:ca83::/64 | 2001:db8:0:ca83:ffff:ffff:ffff:ffff |
| 133 | 2001:db8:0:ca84::/64 | 2001:db8:0:ca84:ffff:ffff:ffff:ffff |
| 134 | 2001:db8:0:ca85::/64 | 2001:db8:0:ca85:ffff:ffff:ffff:ffff |
| 135 | 2001:db8:0:ca86::/64 | 2001:db8:0:ca86:ffff:ffff:ffff:ffff |
| 136 | 2001:db8:0:ca87::/64 | 2001:db8:0:ca87:ffff:ffff:ffff:ffff |
| 137 | 2001:db8:0:ca88::/64 | 2001:db8:0:ca88:ffff:ffff:ffff:ffff |
| 138 | 2001:db8:0:ca89::/64 | 2001:db8:0:ca89:ffff:ffff:ffff:ffff |
| 139 | 2001:db8:0:ca8a::/64 | 2001:db8:0:ca8a:ffff:ffff:ffff:ffff |
| 140 | 2001:db8:0:ca8b::/64 | 2001:db8:0:ca8b:ffff:ffff:ffff:ffff |
| 141 | 2001:db8:0:ca8c::/64 | 2001:db8:0:ca8c:ffff:ffff:ffff:ffff |
| 142 | 2001:db8:0:ca8d::/64 | 2001:db8:0:ca8d:ffff:ffff:ffff:ffff |
| 143 | 2001:db8:0:ca8e::/64 | 2001:db8:0:ca8e:ffff:ffff:ffff:ffff |
| 144 | 2001:db8:0:ca8f::/64 | 2001:db8:0:ca8f:ffff:ffff:ffff:ffff |
| 145 | 2001:db8:0:ca90::/64 | 2001:db8:0:ca90:ffff:ffff:ffff:ffff |
| 146 | 2001:db8:0:ca91::/64 | 2001:db8:0:ca91:ffff:ffff:ffff:ffff |
| 147 | 2001:db8:0:ca92::/64 | 2001:db8:0:ca92:ffff:ffff:ffff:ffff |
| 148 | 2001:db8:0:ca93::/64 | 2001:db8:0:ca93:ffff:ffff:ffff:ffff |
| 149 | 2001:db8:0:ca94::/64 | 2001:db8:0:ca94:ffff:ffff:ffff:ffff |
| 150 | 2001:db8:0:ca95::/64 | 2001:db8:0:ca95:ffff:ffff:ffff:ffff |
| 151 | 2001:db8:0:ca96::/64 | 2001:db8:0:ca96:ffff:ffff:ffff:ffff |
| 152 | 2001:db8:0:ca97::/64 | 2001:db8:0:ca97:ffff:ffff:ffff:ffff |
| 153 | 2001:db8:0:ca98::/64 | 2001:db8:0:ca98:ffff:ffff:ffff:ffff |
| 154 | 2001:db8:0:ca99::/64 | 2001:db8:0:ca99:ffff:ffff:ffff:ffff |
| 155 | 2001:db8:0:ca9a::/64 | 2001:db8:0:ca9a:ffff:ffff:ffff:ffff |
| 156 | 2001:db8:0:ca9b::/64 | 2001:db8:0:ca9b:ffff:ffff:ffff:ffff |
| 157 | 2001:db8:0:ca9c::/64 | 2001:db8:0:ca9c:ffff:ffff:ffff:ffff |
| 158 | 2001:db8:0:ca9d::/64 | 2001:db8:0:ca9d:ffff:ffff:ffff:ffff |
| 159 | 2001:db8:0:ca9e::/64 | 2001:db8:0:ca9e:ffff:ffff:ffff:ffff |
| 160 | 2001:db8:0:ca9f::/64 | 2001:db8:0:ca9f:ffff:ffff:ffff:ffff |
| 161 | 2001:db8:0:caa0::/64 | 2001:db8:0:caa0:ffff:ffff:ffff:ffff |
| 162 | 2001:db8:0:caa1::/64 | 2001:db8:0:caa1:ffff:ffff:ffff:ffff |
| 163 | 2001:db8:0:caa2::/64 | 2001:db8:0:caa2:ffff:ffff:ffff:ffff |
| 164 | 2001:db8:0:caa3::/64 | 2001:db8:0:caa3:ffff:ffff:ffff:ffff |
| 165 | 2001:db8:0:caa4::/64 | 2001:db8:0:caa4:ffff:ffff:ffff:ffff |
| 166 | 2001:db8:0:caa5::/64 | 2001:db8:0:caa5:ffff:ffff:ffff:ffff |
| 167 | 2001:db8:0:caa6::/64 | 2001:db8:0:caa6:ffff:ffff:ffff:ffff |
| 168 | 2001:db8:0:caa7::/64 | 2001:db8:0:caa7:ffff:ffff:ffff:ffff |
| 169 | 2001:db8:0:caa8::/64 | 2001:db8:0:caa8:ffff:ffff:ffff:ffff |
| 170 | 2001:db8:0:caa9::/64 | 2001:db8:0:caa9:ffff:ffff:ffff:ffff |
| 171 | 2001:db8:0:caaa::/64 | 2001:db8:0:caaa:ffff:ffff:ffff:ffff |
| 172 | 2001:db8:0:caab::/64 | 2001:db8:0:caab:ffff:ffff:ffff:ffff |
| 173 | 2001:db8:0:caac::/64 | 2001:db8:0:caac:ffff:ffff:ffff:ffff |
| 174 | 2001:db8:0:caad::/64 | 2001:db8:0:caad:ffff:ffff:ffff:ffff |
| 175 | 2001:db8:0:caae::/64 | 2001:db8:0:caae:ffff:ffff:ffff:ffff |
| 176 | 2001:db8:0:caaf::/64 | 2001:db8:0:caaf:ffff:ffff:ffff:ffff |
| 177 | 2001:db8:0:cab0::/64 | 2001:db8:0:cab0:ffff:ffff:ffff:ffff |
| 178 | 2001:db8:0:cab1::/64 | 2001:db8:0:cab1:ffff:ffff:ffff:ffff |
| 179 | 2001:db8:0:cab2::/64 | 2001:db8:0:cab2:ffff:ffff:ffff:ffff |
| 180 | 2001:db8:0:cab3::/64 | 2001:db8:0:cab3:ffff:ffff:ffff:ffff |
| 181 | 2001:db8:0:cab4::/64 | 2001:db8:0:cab4:ffff:ffff:ffff:ffff |
| 182 | 2001:db8:0:cab5::/64 | 2001:db8:0:cab5:ffff:ffff:ffff:ffff |
| 183 | 2001:db8:0:cab6::/64 | 2001:db8:0:cab6:ffff:ffff:ffff:ffff |
| 184 | 2001:db8:0:cab7::/64 | 2001:db8:0:cab7:ffff:ffff:ffff:ffff |
| 185 | 2001:db8:0:cab8::/64 | 2001:db8:0:cab8:ffff:ffff:ffff:ffff |
| 186 | 2001:db8:0:cab9::/64 | 2001:db8:0:cab9:ffff:ffff:ffff:ffff |
| 187 | 2001:db8:0:caba::/64 | 2001:db8:0:caba:ffff:ffff:ffff:ffff |
| 188 | 2001:db8:0:cabb::/64 | 2001:db8:0:cabb:ffff:ffff:ffff:ffff |
| 189 | 2001:db8:0:cabc::/64 | 2001:db8:0:cabc:ffff:ffff:ffff:ffff |
| 190 | 2001:db8:0:cabd::/64 | 2001:db8:0:cabd:ffff:ffff:ffff:ffff |
| 191 | 2001:db8:0:cabe::/64 | 2001:db8:0:cabe:ffff:ffff:ffff:ffff |
| 192 | 2001:db8:0:cabf::/64 | 2001:db8:0:cabf:ffff:ffff:ffff:ffff |
| 193 | 2001:db8:0:cac0::/64 | 2001:db8:0:cac0:ffff:ffff:ffff:ffff |
| 194 | 2001:db8:0:cac1::/64 | 2001:db8:0:cac1:ffff:ffff:ffff:ffff |
| 195 | 2001:db8:0:cac2::/64 | 2001:db8:0:cac2:ffff:ffff:ffff:ffff |
| 196 | 2001:db8:0:cac3::/64 | 2001:db8:0:cac3:ffff:ffff:ffff:ffff |
| 197 | 2001:db8:0:cac4::/64 | 2001:db8:0:cac4:ffff:ffff:ffff:ffff |
| 198 | 2001:db8:0:cac5::/64 | 2001:db8:0:cac5:ffff:ffff:ffff:ffff |
| 199 | 2001:db8:0:cac6::/64 | 2001:db8:0:cac6:ffff:ffff:ffff:ffff |
| 200 | 2001:db8:0:cac7::/64 | 2001:db8:0:cac7:ffff:ffff:ffff:ffff |
| 201 | 2001:db8:0:cac8::/64 | 2001:db8:0:cac8:ffff:ffff:ffff:ffff |
| 202 | 2001:db8:0:cac9::/64 | 2001:db8:0:cac9:ffff:ffff:ffff:ffff |
| 203 | 2001:db8:0:caca::/64 | 2001:db8:0:caca:ffff:ffff:ffff:ffff |
| 204 | 2001:db8:0:cacb::/64 | 2001:db8:0:cacb:ffff:ffff:ffff:ffff |
| 205 | 2001:db8:0:cacc::/64 | 2001:db8:0:cacc:ffff:ffff:ffff:ffff |
| 206 | 2001:db8:0:cacd::/64 | 2001:db8:0:cacd:ffff:ffff:ffff:ffff |
| 207 | 2001:db8:0:cace::/64 | 2001:db8:0:cace:ffff:ffff:ffff:ffff |
| 208 | 2001:db8:0:cacf::/64 | 2001:db8:0:cacf:ffff:ffff:ffff:ffff |
| 209 | 2001:db8:0:cad0::/64 | 2001:db8:0:cad0:ffff:ffff:ffff:ffff |
| 210 | 2001:db8:0:cad1::/64 | 2001:db8:0:cad1:ffff:ffff:ffff:ffff |
| 211 | 2001:db8:0:cad2::/64 | 2001:db8:0:cad2:ffff:ffff:ffff:ffff |
| 212 | 2001:db8:0:cad3::/64 | 2001:db8:0:cad3:ffff:ffff:ffff:ffff |
| 213 | 2001:db8:0:cad4::/64 | 2001:db8:0:cad4:ffff:ffff:ffff:ffff |
| 214 | 2001:db8:0:cad5::/64 | 2001:db8:0:cad5:ffff:ffff:ffff:ffff |
| 215 | 2001:db8:0:cad6::/64 | 2001:db8:0:cad6:ffff:ffff:ffff:ffff |
| 216 | 2001:db8:0:cad7::/64 | 2001:db8:0:cad7:ffff:ffff:ffff:ffff |
| 217 | 2001:db8:0:cad8::/64 | 2001:db8:0:cad8:ffff:ffff:ffff:ffff |
| 218 | 2001:db8:0:cad9::/64 | 2001:db8:0:cad9:ffff:ffff:ffff:ffff |
| 219 | 2001:db8:0:cada::/64 | 2001:db8:0:cada:ffff:ffff:ffff:ffff |
| 220 | 2001:db8:0:cadb::/64 | 2001:db8:0:cadb:ffff:ffff:ffff:ffff |
| 221 | 2001:db8:0:cadc::/64 | 2001:db8:0:cadc:ffff:ffff:ffff:ffff |
| 222 | 2001:db8:0:cadd::/64 | 2001:db8:0:cadd:ffff:ffff:ffff:ffff |
| 223 | 2001:db8:0:cade::/64 | 2001:db8:0:cade:ffff:ffff:ffff:ffff |
| 224 | 2001:db8:0:cadf::/64 | 2001:db8:0:cadf:ffff:ffff:ffff:ffff |
| 225 | 2001:db8:0:cae0::/64 | 2001:db8:0:cae0:ffff:ffff:ffff:ffff |
| 226 | 2001:db8:0:cae1::/64 | 2001:db8:0:cae1:ffff:ffff:ffff:ffff |
| 227 | 2001:db8:0:cae2::/64 | 2001:db8:0:cae2:ffff:ffff:ffff:ffff |
| 228 | 2001:db8:0:cae3::/64 | 2001:db8:0:cae3:ffff:ffff:ffff:ffff |
| 229 | 2001:db8:0:cae4::/64 | 2001:db8:0:cae4:ffff:ffff:ffff:ffff |
| 230 | 2001:db8:0:cae5::/64 | 2001:db8:0:cae5:ffff:ffff:ffff:ffff |
| 231 | 2001:db8:0:cae6::/64 | 2001:db8:0:cae6:ffff:ffff:ffff:ffff |
| 232 | 2001:db8:0:cae7::/64 | 2001:db8:0:cae7:ffff:ffff:ffff:ffff |
| 233 | 2001:db8:0:cae8::/64 | 2001:db8:0:cae8:ffff:ffff:ffff:ffff |
| 234 | 2001:db8:0:cae9::/64 | 2001:db8:0:cae9:ffff:ffff:ffff:ffff |
| 235 | 2001:db8:0:caea::/64 | 2001:db8:0:caea:ffff:ffff:ffff:ffff |
| 236 | 2001:db8:0:caeb::/64 | 2001:db8:0:caeb:ffff:ffff:ffff:ffff |
| 237 | 2001:db8:0:caec::/64 | 2001:db8:0:caec:ffff:ffff:ffff:ffff |
| 238 | 2001:db8:0:caed::/64 | 2001:db8:0:caed:ffff:ffff:ffff:ffff |
| 239 | 2001:db8:0:caee::/64 | 2001:db8:0:caee:ffff:ffff:ffff:ffff |
| 240 | 2001:db8:0:caef::/64 | 2001:db8:0:caef:ffff:ffff:ffff:ffff |
| 241 | 2001:db8:0:caf0::/64 | 2001:db8:0:caf0:ffff:ffff:ffff:ffff |
| 242 | 2001:db8:0:caf1::/64 | 2001:db8:0:caf1:ffff:ffff:ffff:ffff |
| 243 | 2001:db8:0:caf2::/64 | 2001:db8:0:caf2:ffff:ffff:ffff:ffff |
| 244 | 2001:db8:0:caf3::/64 | 2001:db8:0:caf3:ffff:ffff:ffff:ffff |
| 245 | 2001:db8:0:caf4::/64 | 2001:db8:0:caf4:ffff:ffff:ffff:ffff |
| 246 | 2001:db8:0:caf5::/64 | 2001:db8:0:caf5:ffff:ffff:ffff:ffff |
| 247 | 2001:db8:0:caf6::/64 | 2001:db8:0:caf6:ffff:ffff:ffff:ffff |
| 248 | 2001:db8:0:caf7::/64 | 2001:db8:0:caf7:ffff:ffff:ffff:ffff |
| 249 | 2001:db8:0:caf8::/64 | 2001:db8:0:caf8:ffff:ffff:ffff:ffff |
| 250 | 2001:db8:0:caf9::/64 | 2001:db8:0:caf9:ffff:ffff:ffff:ffff |
| 251 | 2001:db8:0:cafa::/64 | 2001:db8:0:cafa:ffff:ffff:ffff:ffff |
| 252 | 2001:db8:0:cafb::/64 | 2001:db8:0:cafb:ffff:ffff:ffff:ffff |
| 253 | 2001:db8:0:cafc::/64 | 2001:db8:0:cafc:ffff:ffff:ffff:ffff |
| 254 | 2001:db8:0:cafd::/64 | 2001:db8:0:cafd:ffff:ffff:ffff:ffff |
| 255 | 2001:db8:0:cafe::/64 | 2001:db8:0:cafe:ffff:ffff:ffff:ffff |
| 256 | 2001:db8:0:caff::/64 | 2001:db8:0:caff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |